PiiActionContent Class

Supported parameters for a PII Entities Recognition task.

Constructor

PiiActionContent(*args: Any, **kwargs: Any)

Variables

Name Description
logging_opt_out

logging opt out.

model_version
str

model version.

domain

Domain for PII task. Known values are: "phi" and "none".

pii_categories

Enumeration of PII categories to be returned in the response.

string_index_type

StringIndexType to be used for analysis. Known values are: "TextElements_v8", "UnicodeCodePoint", and "Utf16CodeUnit".

exclude_pii_categories

Enumeration of PII categories to be excluded in the response.

value_exclusion_policy

Policy for specific words and terms that should be excluded from detection by the PII detection service.

entity_synonyms

(Optional) request parameter that allows the user to provide synonyms for context words that to enhance pii entity detection.

redaction_policies

List of RedactionPolicies to be used on the input.

confidence_score_threshold

Confidence score threshold configuration for PII entity recognition.

disable_entity_validation

Disable entity validation for PII entity recognition.

Methods

as_dict

Return a dict that can be turned into json using json.dump.

clear

Remove all items from the dictionary.

copy
get

Get the value for key if key is in the dictionary, else default. :param str key: The key to look up. :param any default: The value to return if key is not in the dictionary. Defaults to None :returns: The value for key if key is in the dictionary, else default. :rtype: any

items
keys
pop

Removes specified key and return the corresponding value. :param str key: The key to pop. :param any default: The value to return if key is not in the dictionary :returns: The value corresponding to the key. :rtype: any :raises KeyError: If key is not found and default is not given.

popitem

Removes and returns some (key, value) pair :returns: The (key, value) pair. :rtype: tuple :raises KeyError: if the dictionary is empty.

setdefault

Return the value for key if key is in the dictionary; otherwise set the key to default and return default. :param str key: The key to look up. :param any default: The value to set if key is not in the dictionary :returns: The value for key if key is in the dictionary, else default. :rtype: any

update

Update the dictionary from a mapping or an iterable of key-value pairs. :param any args: Either a mapping object or an iterable of key-value pairs.

values

as_dict

Return a dict that can be turned into json using json.dump.

as_dict(*, exclude_readonly: bool = False) -> dict[str, Any]

Keyword-Only Parameters

Name Description
exclude_readonly

Whether to remove the readonly properties.

Default value: False

Returns

Type Description

A dict JSON compatible object

clear

Remove all items from the dictionary.

clear() -> None

copy

copy() -> Model

get

Get the value for key if key is in the dictionary, else default. :param str key: The key to look up. :param any default: The value to return if key is not in the dictionary. Defaults to None :returns: The value for key if key is in the dictionary, else default. :rtype: any

get(key: str, default: Any = None) -> Any

Parameters

Name Description
key
Required
default
Default value: None

items

items() -> ItemsView[str, Any]

Returns

Type Description

a set-like object providing a view on the mapping's items

keys

keys() -> KeysView[str]

Returns

Type Description

a set-like object providing a view on the mapping's keys

pop

Removes specified key and return the corresponding value. :param str key: The key to pop. :param any default: The value to return if key is not in the dictionary :returns: The value corresponding to the key. :rtype: any :raises KeyError: If key is not found and default is not given.

pop(key: str, default: ~typing.Any = <object object>) -> Any

Parameters

Name Description
key
Required
default

popitem

Removes and returns some (key, value) pair :returns: The (key, value) pair. :rtype: tuple :raises KeyError: if the dictionary is empty.

popitem() -> tuple[str, Any]

setdefault

Return the value for key if key is in the dictionary; otherwise set the key to default and return default. :param str key: The key to look up. :param any default: The value to set if key is not in the dictionary :returns: The value for key if key is in the dictionary, else default. :rtype: any

setdefault(key: str, default: ~typing.Any = <object object>) -> Any

Parameters

Name Description
key
Required
default

update

Update the dictionary from a mapping or an iterable of key-value pairs. :param any args: Either a mapping object or an iterable of key-value pairs.

update(*args: Any, **kwargs: Any) -> None

values

values() -> ValuesView[Any]

Returns

Type Description

an object providing a view on the mapping's values

Attributes

confidence_score_threshold

Confidence score threshold configuration for PII entity recognition.

confidence_score_threshold: _models.ConfidenceScoreThreshold | None

disable_entity_validation

Disable entity validation for PII entity recognition.

disable_entity_validation: bool | None

domain

"phi" and "none".

domain: str | _models.PiiDomain | None

entity_synonyms

(Optional) request parameter that allows the user to provide synonyms for context words that to enhance pii entity detection.

entity_synonyms: list['_models.EntitySynonyms'] | None

exclude_pii_categories

Enumeration of PII categories to be excluded in the response.

exclude_pii_categories: list[typing.Union[str, ForwardRef('_models.PiiCategoriesExclude')]] | None

logging_opt_out

logging opt out.

logging_opt_out: bool | None

model_version

model version.

model_version: str | None

pii_categories

Enumeration of PII categories to be returned in the response.

pii_categories: list[typing.Union[str, ForwardRef('_models.PiiCategory')]] | None

redaction_policies

List of RedactionPolicies to be used on the input.

redaction_policies: list['_models.BaseRedactionPolicy'] | None

string_index_type

"TextElements_v8", "UnicodeCodePoint", and "Utf16CodeUnit".

string_index_type: str | _models.StringIndexType | None

value_exclusion_policy

Policy for specific words and terms that should be excluded from detection by the PII detection service.

value_exclusion_policy: _models.ValueExclusionPolicy | None